<?php

namespace Drupal\niobi_app\Plugin\WebformElement;

use Drupal\webform\Plugin\WebformElement\TextBase;
use Drupal\webform\WebformSubmissionInterface;

/**
 * Provides a 'Niobi Application ID' element.
 *
 * @WebformElement(
 *   id = "niobi_application_id",
 *   api = "https://drupal.org/project/niobi",
 *   label = @Translation("Niobi Application ID"),
 *   description = @Translation("Provides a form element for input of a single-line text."),
 *   category = @Translation("Basic elements"),
 * )
 */
class NiobiApplicationID extends TextBase {

  /**
   * {@inheritdoc}
   */
  public function getDefaultProperties() {
    $props = parent::getDefaultProperties() + $this->getDefaultMultipleProperties();
    $props['readonly'] = TRUE;
    $props['prepopulate'] = TRUE;
    $props['title'] = t('Application ID');
    $props['required'] = TRUE;
    $props['required_error'] = t('This field is required, and will be populated when the application is visited from a valid URL.');
    return $props;
  }

  /**
   * {@inheritdoc}
   */
  public function prepare(array &$element, WebformSubmissionInterface $webform_submission = NULL) {
    if (!array_key_exists('#maxlength', $element)) {
      $element['#maxlength'] = 255;
    }
    parent::prepare($element, $webform_submission);
  }

}
